function phpblock_RecentAlbumUpdates() {

    // RecentAlbumUpdates v1.0
 
    $GALLERY_BASEDIR = "/home/geeklog/public_html/gallery";
    require_once($GALLERY_BASEDIR ."init.php");
 
    $limitDays = 14;
    $limitShow = 10;

    // End of configurable variables;   
 
    global $gallery;
    $cache = array();
    $everybody = $gallery->userDB->getEverybody();
    $albumDB = new AlbumDB();
 
    foreach ($albumDB->albumList as $thisAlbum) {
        if ($everybody->canReadAlbum($thisAlbum)) array_push($cache,$thisAlbum);
    }
 
    $compare = 'return $a->getLastModificationDate() < $b->getLastModificationDate() ? -1 : 1;';
    uasort($cache,create_function('$a,$b',$compare));
    $cache = array_reverse($cache);
                                                                                                                             
    $counter = 0;
    while ((list(,$object) = each($cache)) && ($limitShow == 0 || $counter < $limitShow)) {
 
        $owner = $object->getOwner();
        $uid = $owner->getUid();
        $user = $gallery->userDB->getUserByUid($uid);
        $username = $user->getUsername();
        $albumURL = makeAlbumURL($object->fields['name']);
        $albumTitle = $object->fields['title'];
        $modDate = $object->getLastModificationDate();
 
        list($month,$day,$year) = split('/',$modDate);
        $age = mktime(0,0,0,date('m'),date('d'),date('y'))-mktime(0,0,0,$month,$day,$year);
 
        if ($limitDays == 0 || $age < ($limitDays * 86400)) {
 
            $retval .= 'Owner: <a href="users.php?mode=profile&uid='.$uid.'">'.$username.'</a><br>';
            $retval .= 'Album: <a href="'.$albumURL.'">'.$albumTitle.'</a><br>';
            $retval .= 'Date: '.$modDate.'<br>';
            $retval .= '<br>';
            $counter++;
        }
    }
 
    $retval = substr ($retval, 0, -4);
    return $retval;
}

